<?php
/*
Plugin Name: Inline Poker Cards
Plugin URI: http://blog.dougco.com/coding/inline-poker-cards/
Description: Display small card images inline when creating a post
Version: 1.0
Author: Doug Sheppard
Author URI: http://dougco.com

    Copyright 2008 DougCo
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.
    http://www.gnu.org/licenses/gpl.html
*/

define("CARD_IMG_PATH", "/wp-content/plugins/inline_poker_cards/smallcards/");

function inlineCardParse($text) {
    return preg_replace_callback('|\[(.?)[csdhx]\]|i', 'insertCard', $text);
}

function insertCard($match) {
    $card= strtoupper(substr($match[0],1,1)) . strtolower(substr($match[0],2,1));
    $file = $_SERVER['DOCUMENT_ROOT'] . CARD_IMG_PATH . $card . ".gif";
    if (file_exists($file)) {
    	return "$a <IMG SRC=\"" . CARD_IMG_PATH . $card . ".gif" . "\" border=\"0\" style=\"margin-bottom:-3px\">";
    }else{
	return "";
    }
}

add_filter('the_content', inlineCardParse);
?>
